#ifndef TQPRO_RECORD_FACTORY_H
#define TQPRO_RECORD_FACTORY_H

#include <qpro/stream.h>
#include <qpro/record.h>

class QpRecFactory
{
public:
   QpRecFactory(QpIStream& pIn);
   ~QpRecFactory();

   QpRec* nextRecord();
protected:
   QpIStream& cIn;
};

#endif // TQPRO_RECORD_FACTORY_H

